
Katello - Bug #4754

No way to register without an activation key

03/20/2014 05:10 PM - Mike McCune

Status: Closed   

Priority: High   

Assignee: Thomas McKay   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If you register with subscription-manager without an activation key you will get a failure:

1. subscription-manager register --username=admin --password=chageme --org=ACME_Corporation --force

Remote server error. Please check the connection details, or see /var/log/rhsm/rhsm.log for more information.

From the log:

2014-03-20 13:09:20,529 [ERROR]  @connection.py:414 - remote server status code: 404

2014-03-20 13:09:20,531 [ERROR]  @managercli.py:115 - Error during registration: Server returned 404

2014-03-20 13:09:20,532 [ERROR]  @managercli.py:116 - Server returned 404

Traceback (most recent call last):

File "/usr/share/rhsm/subscription_manager/managercli.py", line 965, in _do_command

installed_products=self.installed_mgr.format_for_server())

File "/usr/lib64/python2.6/site-packages/rhsm/connection.py", line 611, in registerConsumer

return self.conn.request_post(url, params)

File "/usr/lib64/python2.6/site-packages/rhsm/connection.py", line 440, in request_post

return self._request("POST", method, params)

File "/usr/lib64/python2.6/site-packages/rhsm/connection.py", line 399, in _request

self.validateResponse(result)

File "/usr/lib64/python2.6/site-packages/rhsm/connection.py", line 415, in validateResponse

raise RemoteServerException(response['status'])

RemoteServerException: Server returned 404

IRC discussion of the issue:

<walden> thomasmckay: looks like there is no route without an AK - 

https://github.com/Katello/katello/blob/master/config/routes/api/v1.rb#L223

Associated revisions

Revision 1d05fa61 - 03/20/2014 07:52 PM - Thomas McKay

fixes #4754 - BZ-1075189 - 4754-register

Revision 228808e5 - 03/21/2014 05:33 PM - Thomas McKay

Merge pull request #3856 from thomasmckay/4754-register

fixes #4754 - BZ-1075189 - subscription-manager register w/ activation keys

refs #4775

History

#1 - 03/21/2014 05:52 PM - Thomas McKay

- Status changed from New to Closed

- % Done changed from 0 to 100
https://github.com/Katello/katello/blob/master/config/routes/api/v1.rb#L223


Applied in changeset katello|commit:1d05fa61439c792d058b97ddda05b4741a39d19c.

#2 - 06/06/2014 01:33 PM - Eric Helms

- Triaged set to Yes

#3 - 08/21/2014 02:36 PM - Eric Helms

- translation missing: en.field_release set to 13
